# NM_WithHandleArray Class Reference

`#include <NM_Classes.hh>`

Inheritance diagram for NM_WithHandleArray:

[legend]

List of all members.

## Public Types
typedef NetworkMessage | Super
## Public Member Functions
| NM_WithHandleArray ()
virtual | ~NM_WithHandleArray ()
virtual void | serialize (MessageBuffer &msgBuffer)
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)
| DeSerialize the message from a buffer.
AttributeHandle | getHandle (int i) const
void | setHandle (AttributeHandle h, int i)

## Detailed Description

Definition at line 38 of file NM_Classes.hh.

## Member Typedef Documentation

typedef NetworkMessage Super

Reimplemented in NM_DDM_Base, NM_Register_Federation_Synchronization_Point, NM_Publish_Object_Class, NM_Subscribe_Object_Class, NM_Update_Attribute_Values, NM_Reflect_Attribute_Values, NM_Send_Interaction, NM_Receive_Interaction, NM_Request_Object_Attribute_Value_Update, NM_Negotiated_Attribute_Ownership_Divestiture, NM_Attribute_Ownership_Acquisition_Notification, NM_Attribute_Ownership_Divestiture_Notification, NM_Request_Attribute_Ownership_Assumption, NM_Attribute_Ownership_Unavailable, NM_Attribute_Ownership_Acquisition_If_Available, NM_Unconditional_Attribute_Ownership_Divestiture, NM_Attribute_Ownership_Acquisition, NM_Request_Attribute_Ownership_Release, NM_Cancel_Negotiated_Attribute_Ownership_Divestiture, NM_Attribute_Ownership_Release_Response, NM_Cancel_Attribute_Ownership_Acquisition, NM_Confirm_Attribute_Ownership_Acquisition_Cancellation, NM_DDM_Create_Region, NM_DDM_Modify_Region, NM_DDM_Delete_Region, NM_DDM_Associate_Region, NM_DDM_Register_Object, NM_DDM_Unassociate_Region, NM_DDM_Subscribe_Attributes, NM_DDM_Unsubscribe_Attributes, NM_DDM_Subscribe_Interaction, NM_DDM_Unsubscribe_Interaction, and NM_Provide_Attribute_Value_Update.

Definition at line 40 of file NM_Classes.hh.

## Constructor & Destructor Documentation

NM_WithHandleArray | ( |  | ) |

Definition at line 334 of file NM_Classes.cc.

References NetworkMessage::handleArraySize, NetworkMessage::name, NetworkMessage::NOT_USED, and NetworkMessage::type.

~NM_WithHandleArray | ( |  | ) | `[virtual]`

Definition at line 341 of file NM_Classes.cc.

## Member Function Documentation

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

Serialize the message into a buffer.

Reimplemented from NetworkMessage.

Reimplemented in NM_DDM_Base, NM_Register_Federation_Synchronization_Point, NM_Publish_Object_Class, NM_Subscribe_Object_Class, NM_Update_Attribute_Values, NM_Send_Interaction, NM_Request_Object_Attribute_Value_Update, NM_DDM_Create_Region, NM_DDM_Modify_Region, NM_DDM_Delete_Region, NM_DDM_Associate_Region, NM_DDM_Register_Object, NM_DDM_Unassociate_Region, NM_DDM_Subscribe_Attributes, NM_DDM_Unsubscribe_Attributes, and NM_DDM_Subscribe_Interaction.

Definition at line 344 of file NM_Classes.cc.

References NetworkMessage::handleArray, NetworkMessage::handleArraySize, and NetworkMessage::serialize().

Referenced by NM_DDM_Subscribe_Attributes::serialize(), NM_DDM_Register_Object::serialize(), NM_DDM_Associate_Region::serialize(), NM_Request_Object_Attribute_Value_Update::serialize(), NM_Send_Interaction::serialize(), NM_Update_Attribute_Values::serialize(), NM_Subscribe_Object_Class::serialize(), NM_Publish_Object_Class::serialize(), and NM_Register_Federation_Synchronization_Point::serialize().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

DeSerialize the message from a buffer.

Reimplemented from NetworkMessage.

Reimplemented in NM_DDM_Base, NM_Register_Federation_Synchronization_Point, NM_Publish_Object_Class, NM_Subscribe_Object_Class, NM_Update_Attribute_Values, NM_Send_Interaction, NM_Request_Object_Attribute_Value_Update, NM_DDM_Create_Region, NM_DDM_Modify_Region, NM_DDM_Delete_Region, NM_DDM_Associate_Region, NM_DDM_Register_Object, NM_DDM_Unassociate_Region, NM_DDM_Subscribe_Attributes, NM_DDM_Unsubscribe_Attributes, and NM_DDM_Subscribe_Interaction.

Definition at line 360 of file NM_Classes.cc.

References NetworkMessage::deserialize(), NetworkMessage::handleArray, and NetworkMessage::handleArraySize.

Referenced by NM_DDM_Subscribe_Attributes::deserialize(), NM_DDM_Register_Object::deserialize(), NM_DDM_Associate_Region::deserialize(), NM_Request_Object_Attribute_Value_Update::deserialize(), NM_Send_Interaction::deserialize(), NM_Update_Attribute_Values::deserialize(), NM_Subscribe_Object_Class::deserialize(), NM_Publish_Object_Class::deserialize(), and NM_Register_Federation_Synchronization_Point::deserialize().

Here is the call graph for this function:

AttributeHandle getHandle | ( | int | i | ) | const`[inline]`

Definition at line 46 of file NM_Classes.hh.

void setHandle | ( | AttributeHandle | h,
|  | int | i |
| ) |  |  | `[inline]`

Definition at line 47 of file NM_Classes.hh.

The documentation for this class was generated from the following files:

- NM_Classes.hh
- NM_Classes.cc